# frozen_string_literal: true

require "damerau-levenshtein"

class LuizTest
  def self.distance_to(a, b)
    raise ErrorStringNil.new "cannot compare to NilClass" if a.to_s.strip.empty?
    raise ErrorStringNil.new "cannot compare to NilClass" if b.to_s.strip.empty?
    return yield(a, b) if block_given?
    DamerauLevenshtein.distance(a, b)
  end

  class ErrorStringNil < StandardError; end
end